Announcement Announcement Module
No announcement yet.
Check for Updates error Page Title Module
Move Remove Collapse
Conversation Detail Module
  • Filter
  • Time
  • Show
Clear All
new posts

  • Check for Updates error

    I want to upgrade my STS (2.8.1.RELEASE Build Id: 201111221000) on Windows 7. I use Help->Check for Updates. However, after a minute I get a dialog with a couple of hard-to-understand errors:

    Some sites could not be found. See the error log for more detail.
    No repository found at file:/C:/Users/username/Desktop/.
    No repository found at file:/C:/Users/username/Desktop/apache-maven-3.0.4-bin.tar.gz.
    HTTP Server 'Service Unavailable':
    HttpClient connection error response code 503.
    No repository found at
    No repository found at file:/C:/Users/username/Desktop/apache-maven-3.0.4-bin/apache-maven-3.0.4/.
    Unable to read repository at is not a valid repository location.
    Unable to read repository at is not a valid repository location.

    This has been going on for a couple of days now. Anybody knows how I can fix the problem? I find it hard to believe that the makers of STS would reference a number of non-existing Internet resources.

  • #2
    It looks like a few invalid repositories have been added to you list of update sites. Go to Preferences -> Install/Update -> Available update sites.

    Go through the list and remove any that are local (ie- begin with 'file:') or that point to archives (ie- end with '.zip' or '.tar.gz').


    • #3
      Thanks for helping. But removing local files and archive files URLs resulted in all files being removed... So when I try Help->Check for Updates, I now get the dialog message:

      There are no update sites to search. Do you wish to open the "Available Software Sites" preferences?

      When I click "Yes", I am back in Window->Preferences->Install/Update->Available Software Sites. Perhaps I should add a site?


      • #4
        I don't know how your list of update sites may have gotten corrupted, but you can repopulate. Here are some important ones:

        Indigo Enabled
        SpringSource Update Site for Eclipse 3.7 Enabled
        AJDT Update Site Enabled
        Groovy Update Site Enabled

        These will get you started and ensure that you have all the basic bits of STS updatable.


        • #5
          Thanks again. I added your list and it seemed fine until I ended up with this message:
          Cannot complete the install because one or more required items could not be found.
          Software currently installed: Shared profile (SharedProfile_com.springsource.sts.ide
          Missing requirement: Shared profile (SharedProfile_com.springsource.sts.ide requires 'org.maven.ide.eclipse []' but it could not be found
          I would like to avoid a clean re-install because I would probably lose my personal settings and setup, but maybe it's the only way to upgrade.


          • #6

            I would recommend a clean install in this case. I am sorry for the trouble you might have getting your settings back, but I think it is the best way to go in this case.